<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of the
| GNU Affero GPL v3. 
+----------------------------------------------------*
| New Posts v1.5 DK (PHP-Fusion 6.x) 
| Based on "new_posts.php" by Nick Jones
| Modified by Jack Baltzer aKa zalucius 
| info@Solid-Webdesign.dk www.Solid-Webdesign.dk
| Re-written to v7 by Smokeman
+---------------------------------------------------*/

@include "../config.php";
include "../maincore.php";
require_once THEMES."templates/header.php";

// Instilninger Start

// Sprog Variabler 
$locale['n600'] = "Forum indlgs oversigt";
$locale['n601'] = "Hent indlg fra de sidste: ";
$locale['n602'] = " timer ";
$locale['n603'] = " Vis ";
$locale['n604'] = "Forum";
$locale['n605'] = "Emne";
$locale['n606'] = "Indlgs tidspunkt";
$locale['n608'] = "Du skal vret <a href='".BASEDIR."login.php'>logget</a> p, for at bruge denne funktion";
$locale['n609'] = "Der er oprettet <b>";
$locale['n610'] = "</b> indlg de sidste <b>";
$locale['n611'] = "</b> timer";
$locale['n612'] = "</b> nye indlg siden <b>dit seneste besg</b>";
$locale['n613'] = "Der er </b>";
$locale['n614'] = "ingen";
$locale['n615'] = "</b> indlg fra de sidste <b>";
$locale['n616'] = "Indlg";
$locale['n617'] = " <i>(maks ";
$locale['n618'] = " timer)</i>";
$locale['n619'] = "Debat med nye indlg";
$locale['n620'] = "Debat uden nye indlg";
$locale['n621'] = "";
$locale['n622'] = " af ";
$locale['n625'] = "Emner foldet ud";
$locale['n626'] = "Emner kollapset";
$locale['n625a'] = " nyt";
$locale['n625b'] = " nye";
$locale['n627'] = "Vis trde jeg flger";
$locale['n628'] = "Alle emner med nye indlg";
$locale['n628a'] = "Viser alle emner hvor der er nye indlg"; 
$locale['n629'] = "Kun emner du har skrevet i";
$locale['n629a'] = "Viser kun emner du har skrevet i, og der er nye indlg";
$locale['n630'] = " Kollapset";
$locale['n631'] = " Kun dine emner";
$locale['n632'] = "Nyeste emner i toppen";
$locale['n633'] = "ldste emner i toppen";
$locale['n634'] = "Opstning: ";

// Listens orientering   1 = nyeste i toppen, 0 = ldste i toppen
$default_order = 1 ; // default = 1

// bestem om listen skal vre foldet ud eller kollapset 1 = kollapset, 0 = foldet ud
$default_collaps = 1 ; // default = 1

// Maks antal timer der kan sges tilbage 
$default_max = 720 ; // default 720 = 30 dage

// default time vrdi i sgefeltet
$default_time = 24 ; // default 24

// vis maks beskeden? (nederst efter sge formlen)  1 = ja, 0 = nej
$show_max = 1 ; // default 1

// vis hjre side panel? 1 = ja, 0 = nej
$rightside = 1 ; // default 1

// Bredde p de forskellige kolonner.
$width_icon = "20"; // default "20"
$width_forum = ""; // default ""
$width_topic = "37%"; // default "37%"
$width_reply = "1%"; // default "1%"
$width_author_date = "157"; // default "157"
$width_author = "71"; // default "71"
$width_date = "85"; // default "85"

// Slut p indstilninger

// Der er ingen grund til at ndre p noget efter denne linje

if (empty($lastvisited)) { $lastvisited = time(); }

opentable($locale['n600']);
if (!iMEMBER) {

	echo "<table border='0' cellspacing='0' cellpadding='0' width='100%' class='tbl-border'><tr>\n<td>";
	echo "<table border='0' cellspacing='1' cellpadding='0' width='100%'><tr>\n";
	echo "<td class='tbl2' 'width='".$width_icon."'>&nbsp;</td>\n";
	echo "<td class='tbl2' width='".$width_forum."'>".$locale['n604']."</td>\n";
	echo "<td class='tbl2' width='".$width_topic."'>".$locale['n605']."</td>\n";
	echo "<td align='center' class='tbl2' width='".$width_reply."' style='white-space:nowrap'>".$locale['n616']."</td>\n";
	echo "<td align='right' colspan='2' class='tbl2' width='".$width_author_date."'>".$locale['n606']."</td>\n";
	echo "</tr><tr>\n";
	echo "<td class='tbl1' colspan='6'><br /><center>".$locale['n608']."</center><br /></td>\n";
	echo "</tr><tr>\n";
	echo "<td align='left' class='tbl1' colspan='6'>\n";
	echo "<div style='white-space:nowrap'><img src='".THEME."forum/foldernew.gif' alt='".$locale['n619']."' style='vertical-align:middle;'>&nbsp;-&nbsp;".$locale['n619']."</div>\n";
	echo "<div style='white-space:nowrap'><img src='".THEME."forum/folder.gif' alt='".$locale['n620']."' style='vertical-align:middle;'>&nbsp;-&nbsp;".$locale['n620']."</div></td>\n";
	echo "</tr></table></td>\n</tr></table>\n";

} else {

	// used in the form, keeping settings when sending form
	if (!FUSION_QUERY ? $page = FUSION_SELF : $page = FUSION_SELF."?".FUSION_QUERY);
	$time_stamp = $lastvisited; // used to highlight new posts since last visit

	// time search functions
	if (isset($_REQUEST["search"])) {
		$search = (isNum($_REQUEST["search"]) ? $_REQUEST["search"] : $default_time);
		if ($search > 0 and $search <= $default_max ) {
			$lastvisited = time() - ($search * 3600);
		} else {
			if ($search < 1 ) {
				$search = $default_time;
				$lastvisited = time() - ($search * 3600);
			} else {
				$search = $default_max;
				$lastvisited = time() - ($search * 3600);
			}
		}
	} else {
		$search = $default_time; // just to show users what this function can do.
	}
	$my_search = (isset($_REQUEST["search"]) ? "&amp;search=".$search : "" );

	// collapse functions
	if (isset($_REQUEST["collaps"])) {
		$my_collaps = (isNum($_REQUEST["collaps"]) ? $_REQUEST["collaps"] : $default_collaps);
	} else {
		$my_collaps = $default_collaps;
	}
	$my_collaps_next = ($my_collaps == 1 ? 0 : 1);

	// My threads only function
	if (isset($_REQUEST["my"])) {
		$set_threads = (isnum($_REQUEST["my"]) ? $_REQUEST["my"] : 0 );
		$my_threads = ($set_threads == 1 ? "&amp;my=1" : "&amp;my=0" );
	} else {
		$set_threads = 0 ;
		$my_threads = ($set_threads == 1 ? "&amp;my=1" : "&amp;my=0" );
	}
	$my_threads_next = ($set_threads == 1 ? "&amp;my=0" : "&amp;my=1" );

	// display order function
	if (isset($_REQUEST["order"])) {
		$set_order = (isNum($_REQUEST["order"]) ? $_REQUEST["order"] : $default_order );
		$my_order = ($set_order == 1 ? "&amp;order=1" : "&amp;order=0" );
	} else {
		$set_order = $default_order;
		$my_order = ($set_order == 1 ? "&amp;order=1" : "&amp;order=0" );
	}
	$my_order_next = ($set_order == 1 ? "&amp;order=0" : "&amp;order=1");

	// show display order and settings 
	echo "<center>".$locale['n634'];
	echo "<a href='".FUSION_SELF."?collaps=".$my_collaps_next.$my_threads.$my_order.$my_search."'>".($my_collaps == 1 ? $locale['n626'] : $locale['n625'])."</a> | ";
	echo "<a href='".FUSION_SELF."?collaps=".$my_collaps.$my_threads_next.$my_order.$my_search."' title='".($set_threads == 1 ? $locale['n629a'] : $locale['n628a'])."'>".($set_threads == 1 ? $locale['n629'] : $locale['n628'])."</a> | ";
	echo "<a href='".FUSION_SELF."?collaps=".$my_collaps.$my_threads.$my_order_next.$my_search."'>".($set_order == 1 ? $locale['n632'] : $locale['n633'])."</a>\n";
	echo "<br /><br /></center>\n";

	// forum listing header
	echo "<table border='0' cellspacing='0' cellpadding='0' width='100%' class='tbl-border'><tr><td>\n";
	echo "<table border='0' cellspacing='1' cellpadding='0' width='100%'><tr>\n";
	echo "<td class='tbl2' 'width='".$width_icon."'>&nbsp;</td>\n";
	echo "<td class='tbl2' width='".$width_forum."'>".$locale['n604']."</td>\n";
	echo "<td class='tbl2' width='".$width_topic."'>".$locale['n605']."</td>\n";
	echo "<td align='center' class='tbl2' width='".$width_reply."' style='white-space:nowrap'>".$locale['n616']."</td>\n";
	echo "<td align='right' colspan='2' class='tbl2' width='".$width_author_date."'>".$locale['n606']."</td>\n";

	// make array with forums current user have access to browse
	$access = dbquery("SELECT forum_id FROM ".DB_FORUMS." WHERE forum_access <= '".iUSER."' AND forum_cat > 0 ORDER BY forum_id");
	while ($row = mysql_fetch_assoc($access)) {	$forums[] = $row["forum_id"]; }
	$database_order = ($set_order == 1 ? "DESC" : "ASC");
	$result = dbquery("SELECT * FROM ".DB_POSTS." INNER JOIN ".DB_USERS." ON ".DB_POSTS.".post_author=".DB_USERS.".user_id WHERE ".DB_POSTS.".post_datestamp > ".$lastvisited." ORDER BY post_datestamp ".$database_order." ");

	if (dbrows($result) != 0) {
		$tbl = 1;
		$replycount = 0;
		while ($row = dbarray($result)) {
			$forumidnum = 0;
			if (in_array($row["forum_id"], $forums)) { 
				// User is allowed to see this topic
				$result2 = dbquery("SELECT * FROM ".DB_POSTS." WHERE thread_id = '".$row['thread_id']."' AND post_id < '".$row['post_id']."' ORDER BY post_id DESC");
				$rows = dbrows($result2);
				$this_reply = $rows+1;
				$total_reply = dbcount("(post_id)", DB_POSTS, "thread_id = '".$row['thread_id']."'") ;
				if ($rows > 20) {
					$rowstart = ceil($rows / 20);
					$rowstart = "rowstart=".(($rowstart-1)*20)."&";
				} else {
					$rowstart = "";
				}
				$result2 = dbquery("SELECT * FROM ".DB_FORUMS." WHERE forum_id='".$row['forum_id']."'");
				$posting_data2 = dbarray($result2);
				if(checkgroup($posting_data2['forum_access'])) {

					if ($forumidnum != $posting_data2['forum_id']) {
						$forumidnum = $posting_data2['forum_id'];
						// switch folder icon.
						if ($time_stamp < $row['post_datestamp'] ? $icon = "foldernew.gif" : $icon = "folder.gif" );

						// Determine My Threads view
						if ($set_threads == 0 OR ($set_threads == 1 AND dbcount("(post_author)", DB_POSTS , "thread_id='".$row['thread_id']."' AND post_author = '".$userdata['user_id']."'") >= 1 ) ) {
							$replycount++;

							if ($my_collaps == 0) {
								// Display each post
								echo "<tr><td align='center' class='tbl2'><img src='".THEME."forum/".$icon."' alt='' /></td>\n";
								echo "<td class='tbl".$tbl."'><a href='".BASEDIR."forum/viewforum.php?forum_id=".$posting_data2['forum_id']."&forum_cat=".$posting_data2['forum_cat']."'>".$posting_data2['forum_name']."</a></td>\n";
								$topic_title = dbarray(dbquery("select thread_subject from ".DB_THREADS." where thread_id='".$row['thread_id']."' limit 1"));
								echo "<td class='tbl".$tbl."'><a href='".BASEDIR."forum/viewthread.php?".$rowstart."forum_id=".$row['forum_id']."&thread_id=".$row['thread_id']."#post_".$row['post_id']."'>".$topic_title['thread_subject']."</a></td>\n";
								if ($this_reply != $total_reply ? $reply_msg = "(".$locale['n621'].$this_reply.")".$locale['n622'].$total_reply : $reply_msg = $locale['n621'].$this_reply.$locale['n622'].$total_reply) ;
								echo "<td align='center' class='tbl".$tbl."' style='white-space:nowrap;'><span class='small'>".$reply_msg."</span></td>\n";
								echo "<td align='center' class='tbl".$tbl."' width='".$width_author."' style='white-space:nowrap'><a href='".BASEDIR."profile.php?lookup=".$row['post_author']."'>".$row['user_name']."</a></td>\n";
								echo "<td align='center' class='tbl".$tbl."' width='".$width_date."'><span class='small'>".strftime($settings['forumdate'],$row['post_datestamp']+($settings['timeoffset']*3600))."</span></td></tr>\n";
								if ($tbl == 1 ? $tbl = 2 : $tbl = 1);
							} else {
								// Display threads collapsed 
								if ($this_reply == $total_reply) {
									echo "<tr><td  align='center' class='tbl2'><img src='".THEME."forum/".$icon."' alt='' /></td>\n";
									echo "<td class='tbl".$tbl."'><a href='".BASEDIR."forum/viewforum.php?forum_id=".$posting_data2['forum_id']."&forum_cat=".$posting_data2['forum_cat']."'>".$posting_data2['forum_name']."</a></td>\n";
									$topic_title = dbarray(dbquery("select thread_subject from ".DB_THREADS." where thread_id='".$row['thread_id']."' limit 1"));
									echo "<td class='tbl".$tbl."'><a href='".BASEDIR."forum/viewthread.php?".$rowstart."forum_id=".$row['forum_id']."&thread_id=".$row['thread_id']."#post_".$row['post_id']."'>".$topic_title['thread_subject']."</a></td>\n";
									$new_posts = dbcount("(post_id)", DB_POSTS, "thread_id = '".$row['thread_id']."' AND post_datestamp > '".$lastvisited."'");
									if ($new_posts == 1 ? $reply_msg = $locale['n625a'] : $reply_msg = $locale['n625b']);
									echo "<td align='center' class='tbl".$tbl."' style='white-space:nowrap;'><span class='small'>".$new_posts.$reply_msg."</span></td>\n";
									echo "<td align='center' class='tbl".$tbl."' width='".$width_author."' style='white-space:nowrap'><a href='".BASEDIR."profile.php?lookup=".$row['post_author']."'>".$row['user_name']."</a></td>\n";
									echo "<td align='center' class='tbl".$tbl."' width='".$width_date."'><span class='small'>".strftime($settings['forumdate'],$row['post_datestamp']+($settings['timeoffset']*3600))."</span></td></tr>\n";
									if ($tbl == 1 ? $tbl = 2 : $tbl = 1);
								} 
							}
						}
					}
				}
			}
		}

		// Post count message
		echo "<tr><td class='tbl1' colspan='6'>";
		echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'><tr><td align='left'>\n";
		echo "<div style='white-space:nowrap'><img src='".THEME."forum/foldernew.gif' alt='".$locale['n619']."' style='vertical-align:middle;'>&nbsp;-&nbsp;".$locale['n619']."</div>\n";
		echo "<div style='white-space:nowrap'><img src='".THEME."forum/folder.gif' alt='".$locale['n620']."' style='vertical-align:middle;'>&nbsp;-&nbsp;".$locale['n620']."</div>\n";
		echo "</td><td class='tbl1' align='right' style='white-space:nowrap'>\n";

		if ($replycount > 0) {
			if (isset($_REQUEST['search'])) { 
				echo $locale['n609'].$replycount.$locale['n610'].$search.$locale['n611'];
			} else {
				echo $locale['n609'].$replycount.$locale['n612'];
			}
		} else {
			if (isset($_POST['search'])) { 
				echo $locale['n613'].$locale['n614'].$locale['n615'].$search.$locale['n611'];
			} else {
				echo $locale['n613'].$locale['n614'].$locale['n612'];
			}
		}
		echo "</td>\n</tr></table>\n</td></tr></table>\n</tr></td></table>\n<br />\n";

	} else {
		// No new posts
		echo "</tr>\n<td class='tbl1' colspan='6'><br /><center>".$locale['n613'].$locale['n614'].$locale['n612']."</center></td>\n</tr>\n";
		echo "</tr><tr>\n";
		echo "<td align='left' class='tbl1' colspan='6'>\n";
		echo "<div style='white-space:nowrap'><img src='".THEME."forum/foldernew.gif' alt='".$locale['n619']."' style='vertical-align:middle;'>&nbsp;-&nbsp;".$locale['n619']."</div>\n";
		echo "<div style='white-space:nowrap'><img src='".THEME."forum/folder.gif' alt='".$locale['n620']."' style='vertical-align:middle;'>&nbsp;-&nbsp;".$locale['n620']."</div></td>\n";
		echo "</tr></table></td>\n</tr></table><br />\n";
	}

	// generate time search form
	echo "<form name='search' method='post' action='".$page."'>\n";
	echo "<table border='0' cellspacing='0' cellpadding='0' width='100%' class='tbl-border'><tr><td>\n";
	echo "<table border='0' cellspacing='1' cellpadding='0' width='100%'><tr>\n";
	echo "<td class='tbl2' align='center'>".$locale['n601']."<input type='text' name='search' size='10' class='textbox' value='".$search."' />".$locale['n602']."<input type='submit' value='".$locale['n603']."' class='button' />";
	if ($show_max === 1) { echo $locale['n617'].$default_max.$locale['n618']; }
	echo "</td>\n</tr><tr>\n<td class='tbl2' align='center'>".$locale['n634'];
	echo "<a href='".FUSION_SELF."?collaps=".$my_collaps_next.$my_threads.$my_order.$my_search."'>".($my_collaps == 1 ? $locale['n626'] : $locale['n625'])."</a> | ";
	echo "<a href='".FUSION_SELF."?collaps=".$my_collaps.$my_threads_next.$my_order.$my_search."' title='".($set_threads == 1 ? $locale['n629a'] : $locale['n628a'])."'>".($set_threads == 1 ? $locale['n629'] : $locale['n628'])."</a> | ";
	echo "<a href='".FUSION_SELF."?collaps=".$my_collaps.$my_threads.$my_order_next.$my_search."'>".($set_order == 1 ? $locale['n632'] : $locale['n633'])."</a>\n";
	echo "</td>\n</tr></table>\n</td></tr></table>\n<br /></form>\n<!-- New Posts v1.5 (PHP-Fusion 6.x) - Code by www.Solid-Webdesign.dk 2006 -->\n";
	$lastvisited = $time_stamp;
}

closetable();


require_once THEMES."templates/footer.php";
?>

